Patch based on...
From 074c9fbadf169bb6cbc4fe2176be429a44170794 Mon Sep 17 00:00:00 2001
From: "Dustin J. Mitchell" <dustin@buildbot.net>
Date: Tue, 2 Feb 2016 01:20:07 +0000
Subject: [PATCH] Update SQLAlchemy and SQLAlchemy-Migrate version requirements

---
 buildbot/db/enginestrategy.py             | 2 +-
 docs/manual/installation/requirements.rst | 5 +++--
 docs/relnotes/index.rst                   | 3 +++
 setup.py                                  | 4 ++--
 4 files changed, 9 insertions(+), 5 deletions(-)

diff --git buildbot/db/enginestrategy.py buildbot/db/enginestrategy.py
index ee0cc42..4b3a57e 100644
--- buildbot/db/enginestrategy.py
+++ buildbot/db/enginestrategy.py
@@ -187,7 +187,7 @@ class BuildbotEngineStrategy(strategies.ThreadLocalEngineStrategy):
             version_digits = re.sub('[^0-9.]', '', version)
             version_tup = tuple(map(int, version_digits.split('.')))
         except TypeError:
-            pass
+            return  # unparseable -- oh well
 
         if version_tup < (0, 6):
             raise RuntimeError("SQLAlchemy version %s is too old" % (version,))
diff --git docs/relnotes/index.rst docs/relnotes/index.rst
index 6930aab..17bc7ab 100644
--- docs/relnotes/index.rst
+++ docs/relnotes/index.rst
@@ -29,6 +29,9 @@ Deprecations, Removals, and Non-Compatible Changes
 * Note that Buildbot is not yet compatible with MySQL-5.7.
   See :bug:`3421` for status and to help out.
 
+* The ``buildbot`` Python dist now (finally) requires SQLAlchemy-0.8.0 or later and SQLAlchemy-Migrate-0.9.0 or later.
+  While the old pinned versions (0.7.10 and 0.7.2, respectively) still work, this compatibility is no longer tested and this configuration should be considered deprecated.
+
 Changes for Developers
 ~~~~~~~~~~~~~~~~~~~~~~
 
diff -u setup.py.orig setup.py
--- setup.py.orig	2015-04-21 01:53:41.000000000 -0400
+++ setup.py	2016-02-09 14:39:08.000000000 -0500
@@ -381,11 +381,8 @@
         ]
 
     setup_args['install_requires'] += [
-        # sqlalchemy-0.8 betas show issues with sqlalchemy-0.7.2, so stick to 0.7.10
-        'sqlalchemy >= 0.6, <= 0.7.10',
-        # buildbot depends on sqlalchemy internals, and this is the tested
-        # version.
-        'sqlalchemy-migrate==0.7.2',
+        'sqlalchemy>=0.8.0',
+        'sqlalchemy-migrate>=0.9',
         'python-dateutil>=1.5',
     ]
     setup_args['tests_require'] = [
-- 
2.6.2

